﻿namespace U2UConsult.Win8.TextBoxSample
{
    using System;
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Data;

    public sealed class BooleanToVisibilityConverter : IValueConverter
    {
        public bool FalseMeansVisible { get; set; }

        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (FalseMeansVisible)
            {
                return (value is bool && (bool)value) ? Visibility.Collapsed : Visibility.Visible;
            }

            return (value is bool && (bool)value) ? Visibility.Visible : Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            if (FalseMeansVisible)
            {
                return value is Visibility && (Visibility)value != Visibility.Visible;
            }

            return value is Visibility && (Visibility)value == Visibility.Visible;
        }
    }
}
